<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.auction.mapper.AuctionApplyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="auctionApplyResultMap" type="org.springblade.modules.auction.entity.AuctionApply">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="auction_id" property="auctionId"/>
        <result column="special_id" property="specialId"/>
        <result column="user_id" property="userId"/>
        <result column="apply_time" property="applyTime"/>
        <result column="earnest_price" property="earnestPrice"/>
        <result column="advance_price" property="advancePrice"/>
        <result column="is_remind" property="isRemind"/>
        <result column="remind_time" property="remindTime"/>
        <result column="remind_type" property="remindType"/>
        <result column="phone" property="phone"/>
    </resultMap>


    <select id="selectAuctionApplyPage" resultMap="auctionApplyResultMap">
        select * from biz_auction_apply where is_deleted = 0
    </select>

</mapper>
